/**
 * @description components outputs
 */

const requireComponents = require.context('./', true, /\.vue$/)

const install = (Vue) => {
    if (install.installed) return

    requireComponents.keys().forEach(component => {
        const config = requireComponents(component)
        const componentName = config.default.name
        Vue.component(componentName, config.default)
    })
}

export default {
    install
}